<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
    <div class="row">
      <div class="col-sm-12">
        <h4 class="page-title">Post A Request</h4>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
          <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse"
              data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
              <h4 class="panel-title">
                <a>
                  <i class="more-less fa fa-plus"></i>
                  <span class="searchbar_text_padding_left"> Search
                  </span>
                </a>
              </h4>
            </div>
            <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
              <div class="panel-body">
                <div class="row">
                  <div class="col-md-2 col_custom_padding">
                    <div class="form-group">
                      <label class="search_label">Buyer</label>
                      <input type="text" class="form-control" placeholder="Enter Name" [(ngModel)]="buyer">
                    </div>
                  </div>
                  <div class="col-md-2 col_custom_padding">
                    <div class="form-group">
                      <label class="search_label">Delivery Time</label>
                      <input type="text" class="form-control" placeholder="Enter Delivery Time"
                        [(ngModel)]="delivery_time">
                    </div>
                  </div>
                  <div class="col-md-2 col_custom_padding">
                    <div class="form-group">
                      <label class="search_label">Budget</label>
                      <input type="text" class="form-control" placeholder="Enter Budget" [(ngModel)]="budget">
                    </div>
                  </div>
                  <div class="col-md-2 col_custom_padding">
                    <div class="form-group">
                      <label class="search_label">Status</label>
                      <select class="form-control" [(ngModel)]="searchStatus.id">
                        <option value="0">Select Status</option>
                        <option *ngFor="let option of requestStatus_list" value={{option.id}}>
                          {{option.request_status_name}}
                        </option>
                      </select>
                    </div>
                  </div>
                  <div class="col-md-2 col_custom_padding">
                    <div class="">
                      <label class="search_label" style="width: 100%;">&nbsp;</label>
                      <button class="btn btn-primary search_btn_width" (click)="onSearchBtnClick()"><i
                          class="fa fa-search"></i> Search</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>


    <div class="row">
      <div class="col-lg-12">
        <div class="card-box">
          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <!--KENDO GRID START-->

                <kendo-grid [data]="postRequest_gridData" height="auto" [pageSize]="pageSize" [sort]="sort"
                  [skip]="state.skip" (sortChange)="sortPost_a_requestChange($event)" [filter]="state.filter"
                  [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                  (dataStateChange)="DataStateChange($event)" (pageChange)="pageChange($event)">


                  <kendo-grid-column field="date" title="Date"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                    [style]="{'width':'100px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      {{index.created_date|date:'dd MMM yyyy'}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="request" title="Request"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                    [style]="{'width':'220px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      {{index.description}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="buyer" title="Buyer"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'120px'}"
                    [style]="{'width':'120px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <!-- <a href="javascript:void(0)" (click)="onBuyer_nameClick(index.created_by)">
                        <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">
                          {{index.created_user}}</h6>
                      </a> -->
                      {{index.created_user}}
                    </ng-template>
                  </kendo-grid-column>

                  <!-- <kendo-grid-column field="seller" title="Seller"
                  [headerStyle]="{'height':'40px','text-align':'center','width':'8%'}" [style]="{'width':'8%'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-center">
                        <div>
                          {{index.seller.user_name}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column> -->



                  <kendo-grid-column field="delivery_time" title="Delivery Time"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'115px'}"
                    [style]="{'width':'115px','text-align':'center'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      {{index.service_delivery==null?index.service_delivery_other==1?'1
                      Day':index.service_delivery_other+' Days':index.service_delivery.service_delivery_name}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="budget" title="Budget"
                    [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                    [style]="{'width':'100px','text-align':'right'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                       {{index.budget | currency: 'INR':'symbol':'1.0-0'}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="status" title="Status"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                    [style]="{'width':'100px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      {{index.request_status.request_status_name}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="action" title="Action"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'80px'}"
                    [style]="{'width':'80px','text-align':'center'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <a title="Edit" (click)="onPost_requestEditPencilBtn(index.id, index.request_status.id)"><i
                          class="fa fa-pencil edit_icon"></i></a>
                    </ng-template>
                  </kendo-grid-column>
                </kendo-grid>
                <!--KENDO GRID-->
              </div>
            </div>
          </div>
          <!-- <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <a class="btn btn-success btn-sm" style="color: white;margin-top: 10px;">Approve</a>
                            <a class="btn btn-danger btn-sm" style="color: white;margin-top: 10px;">Reject</a>
                        </div>
                    </div>
                </div> -->
        </div>
      </div>
    </div>
  </div>
</div>